[EPIC] Wikipedia.org (Elephant): translate sister wiki projects descriptive text
Closed, ResolvedPublic

Description

Upon the addition of the sister wiki projects descriptive text on the wikipedia.org portal page, we'll now tackle getting those descriptions translated into as many languages as possible. There are several steps to do this:

1. create a new .json file that will contain the descriptive text - something like:

'wikivoyage-descriptive-text': 'Free Travel Guide'
  • can be called en.json for convenience
  • should look just like any such file in MediaWiki extensions.

2. add in a new path in git for this new .json file, such as:

/translations/xxx

3. get a group set up for this in translatewiki with push access

  • @Nikerabbit will help set up a message group setup for translatewiki.net.

4. do a request to the community for translations of the descriptive text

5. as translations come in from the community, they are 'pushed' to our new .json file in our repository

  • one file per language
  • updates are generally pushed twice a week

6. update the wikipedia.org portal page to call this new .json file when the page is loaded and the user's preferred browser language is detected

7. every time the wikipedia.org portal page is updated, the new translations will need to be retrieved from the repo and merged to then be updated with the rest of the portal

Note: pay attention for how right to left languages are displayed

Further notes from @Nikerabbit:
If you generate the page with translations on server side, then one must ensure that the front-end cache is split by browsers accept-language header to avoid serving wrong language to users from the cache. It will be good to loop in operations people as this needs their involvement if not done already. The translations can also be applied on the client with JavaScript but that has it's own gotchas as well.

Original A/B testing ticket for descriptive text with timeline and details: https://phabricator.wikimedia.org/T131238
Ticket releasing the code into production: https://phabricator.wikimedia.org/T133732

debt created this task.May 27 2016, 8:40 PM
Restricted Application added subscribers: Zppix, Aklapper. · View Herald TranscriptMay 27 2016, 8:40 PM
debt renamed this task from [EPIC] Wikipedia.org : translate sister wiki projects descriptive text to [EPIC] Wikipedia.org (Elephant): translate sister wiki projects descriptive text.May 27 2016, 8:48 PM
debt triaged this task as Normal priority.
Beta16 added a subscriber: Beta16.Jun 7 2016, 4:00 PM
debt claimed this task.

moving to done - we've done all the ground work for this particular feature.

debt closed this task as Resolved.
debt moved this task from Done to Completed on the Discovery-Portal-Sprint board.Aug 22 2016, 7:22 PM